@tool
extends Control

@export var image: Texture:
	set(value):
		image = value
		if is_inside_tree() and has_node("%Texture"):
			$%Texture.texture = image

@export var flip_h: bool = false:
	set(value):
		flip_h = value
		if is_inside_tree() and has_node("%Texture"):
			if $%Texture != null:
				$%Texture.flip_h = flip_h

func _ready():
	if image != null and has_node("%Texture"):
		$%Texture.texture = image
		$%Texture.flip_h = flip_h
		
